Subject: [PATCH] ARM: Gemini: Add support for PCI BUS

From: [email-masked] (Arnd Bergmann)
Date: Mon, 29 Nov 2010 16:02:54 +0100

On Monday 29 November 2010, Hans Ulli Kroll wrote:
> > 
> > This looks wrong in multiple ways:
> > 
> > * resources are physical addresses, not virtual addresses
> > * GEMINI_PCI_IO_BASE is an address in memory space, so it
> >   needs to be IORESOURCE_MEM, not IORESOURCE_IO. You can
> >   also register the IORESOURCE_IO resource, but that would
> >   be .start=PCIBIOS_MIN_IO, .end=IO_SPACE_LIMIT.
> > * IO_SPACE_LIMIT is larger than the I/O window, which can
> >   cause overflows. Setting it to 0xffff is generally enough.
> > 
> 
> So I must remove these lines ??
>         }, {
>                 .virtual        = IO_ADDRESS(GEMINI_PCI_IO_BASE),
>                 .pfn            = __phys_to_pfn(GEMINI_PCI_IO_BASE),
>                 .length         = SZ_512K,
>                 .type           = MT_DEVICE,
>         },
> These are from arch/arm/mach-gemini/mm.c

No, these look right, just fix the issues I mentioned, i.e.
the definition of IO_SPACE_LIMIT and the resource registration.

	Arnd